/*
	Only Teiem1 will see this message.
	Hi Teiem1, how are you?
*/

var cube = document.getElementsByTagName("cube")[0];
var section = document.getElementById("cube");

var last_position = {
	"x": 0,
	"y": 0
};

let rotation = {
	"x": -26,
	"y": 33
}

document.onmousemove = function(e) {

	var x = e.clientX; // Current mouse position
	var y = e.clientY;

	if (e.buttons % 2 != 0) { // If last bit is 1 means mouse1 is pressed

		var xd = (last_position.x - x)/5; // Get relative mouse position change and make it a bit smaller
		var yd = (last_position.y - y)/5;

		rotation.x += yd; // Just spit the crap in the cube rotation degrees
		rotation.y -= xd;

		cube.style.transform = "translate(-50%, -50%) rotateX("+rotation.x+"deg) rotateY("+rotation.y+"deg)";

	}

	last_position.x = x; // Update last mouse position for next delta
	last_position.y = y;

}

let scale = .5;
var videos = document.getElementsByTagName("video");
for (var i = videos.length - 1; i >= 0; i--) {
	videos[i].volume = .5;
}
document.onwheel = function(e) {
	e.preventDefault();
	scale += e.deltaY * -0.01;
	scale = Math.min(Math.max(.4, scale), 1);
	for (var i = videos.length - 1; i >= 0; i--) {
		videos[i].volume = scale;
	}
	section.style.transform = "scale("+scale+")";
}
